package com.patzn.lims.staff.service.impl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.BaseServiceImpl;
import com.patzn.lims.staff.entity.LmsStaffTask;
import com.patzn.lims.staff.mapper.LmsStaffTaskMapper;
import com.patzn.lims.staff.service.ILmsStaffTaskService;
import com.patzn.lims.staff.vo.LmsStaffTaskVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 人员管理-人员任务 服务实现类
 * </p>
 *
 * @author patzn
 * @since 2017-11-03
 */
@Service
public class LmsStaffTaskServiceImpl extends BaseServiceImpl<LmsStaffTaskMapper, LmsStaffTask> implements ILmsStaffTaskService {

    @Override
    public Page<LmsStaffTaskVO> pageVO(Page<LmsStaffTaskVO> page, LmsStaffTaskVO lmsStaffTaskVO) {
        return page.setRecords(baseMapper.selectPageVO(page, lmsStaffTaskVO));
    }

    @Override
    public List<LmsStaffTaskVO> listVO(LmsStaffTaskVO lmsStaffTaskVO) {
        return baseMapper.selectPageVO(lmsStaffTaskVO);
    }

    @Override
    public LmsStaffTaskVO getVOById(Long id) {
        return baseMapper.selectVOById(id);
    }
}
